IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Webhook notifications

Notifications sent and scheduled per webhook

The webhook notification object

Attributes

iduuid

Unique identifier

webhook_iduuid
webhooks.id

Identifier of the webhook this notification is related to

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

created_ondate

Date on which the webhook notification was created

event_typeWebhookEvent

Event this notification is for

payloadjsonb

JSON payload that is sent along with this notification

responsetext | null

Stored response

statusWebhookNotificationStatus

Notification status. Either pending, sent or error

triesinteger

Amount of times this webhook notification has been tried to be delivered

The webhook notification object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "webhook_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T04:02:28.654Z",
  "updated_at": "2026-03-12T04:02:28.654Z",
  "created_on": "2026-03-12",
  "event_type": "bookings.created",
  "payload": {},
  "response": "",
  "status": "sent",
  "tries": 0
}

List webhook notifications

Filters

idFilter<uuid>

Unique identifier

webhook_idFilter<uuid>
webhooks.id

Identifier of the webhook this notification is related to

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

created_onFilter<date>

Date on which the webhook notification was created

event_typeFilter<WebhookEvent>

Event this notification is for

payloadFilter<jsonb>

JSON payload that is sent along with this notification

responseFilter<text | null>

Stored response

statusFilter<WebhookNotificationStatus>

Notification status. Either pending, sent or error

triesFilter<integer>

Amount of times this webhook notification has been tried to be delivered

Responses

200

A list of webhook notifications with the selected columns

206

Partial Content

GET /webhook_notifications
curl -X GET "https://api.bookingmood.com/v1/webhook_notifications?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"